This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Xuggle 5.4 may not be necessary, but I think lwjgl 2.8.3 is a must
05-24-2012, 02:34 AM
Post: #1
Tongue Xuggle 5.4 may not be necessary, but I think lwjgl 2.8.3 is a must
Seems that it had fixed lots of issues of opengl and shader on both AMD and NV, added some opengl 3 support for Mac and opengl 4 on other platform.
With it, maybe we can fix some display problems or enhance the performance of graphic rendering...I don't knowTongue

Maybe it's high time we updated some librariesWink
Find all posts by this user
Quote this message in a reply
05-24-2012, 07:03 AM
Post: #2
RE: Xuggle 5.4 may not be necessary, but I think lwjgl 2.8.3 is a must
From the release notes between 2.7.1 and 2.8.3, there is no fix in the functions used by Jpcsp. Excepted maybe for MacOSX where the description is just "fix: Compatibility issue with OSX 10.5 and below".

Have you tried upgrading the LWJGL jar's and dll's in the current Jpcsp release for regression testing?

Always include a complete log file at INFO level in your reports. Thanks! How to post a log
Find all posts by this user
Quote this message in a reply
05-24-2012, 09:00 AM
Post: #3
RE: Xuggle 5.4 may not be necessary, but I think lwjgl 2.8.3 is a must
too bad
Not yet fully tested, I tested win32 with just a few games I have and no obvious change. However, I haven't tested on my OS 10.5.

If it comes out just like the case of xuggle5.4, then just leave it alone... Just thinking that maybe jpcsp for windows and linux can have opengl 4.2 support or other features through the latest lwjgl and thus improve or fix some rendering issue, like great knight history or so

But I'm not good at compiling java, I only know a little about C++...Tongue
Find all posts by this user
Quote this message in a reply
05-24-2012, 09:36 AM
Post: #4
RE: Xuggle 5.4 may not be necessary, but I think lwjgl 2.8.3 is a must
(05-24-2012 09:00 AM)freefive Wrote:  too bad
Not yet fully tested, I tested win32 with just a few games I have and no obvious change. However, I haven't tested on my OS 10.5.

If it comes out just like the case of xuggle5.4, then just leave it alone... Just thinking that maybe jpcsp for windows and linux can have opengl 4.2 support or other features through the latest lwjgl and thus improve or fix some rendering issue, like great knight history or so

But I'm not good at compiling java, I only know a little about C++...Tongue
This is excellent if you have a Mac OS! It would be very interesting to test the new versions on it. We have very little Mac OS testers...

Always include a complete log file at INFO level in your reports. Thanks! How to post a log
Find all posts by this user
Quote this message in a reply
05-24-2012, 09:50 AM
Post: #5
RE: Xuggle 5.4 may not be necessary, but I think lwjgl 2.8.3 is a must
But its display card is ati radeon hd 2600 pro, and you know ati(amd) doesn't publish drivers for mac and even apple itself releases drivers next to never
So when I get black screen --almost all games except cube sample-- I can't figure out whether it is the openGL problem or the driver problem
Find all posts by this user
Quote this message in a reply
05-24-2012, 10:15 AM
Post: #6
RE: Xuggle 5.4 may not be necessary, but I think lwjgl 2.8.3 is a must
(05-24-2012 09:50 AM)freefive Wrote:  But its display card is ati radeon hd 2600 pro, and you know ati(amd) doesn't publish drivers for mac and even apple itself releases drivers next to never
So when I get black screen --almost all games except cube sample-- I can't figure out whether it is the openGL problem or the driver problem
You could try the software rendering in the Jpcsp video options. It is quite slow, but you should be able to see something...

Always include a complete log file at INFO level in your reports. Thanks! How to post a log
Find all posts by this user
Quote this message in a reply
05-24-2012, 10:55 AM
Post: #7
RE: Xuggle 5.4 may not be necessary, but I think lwjgl 2.8.3 is a must
lol
   

I can enable the software renderer by editing the settings.properties, though, but with software renderer enabled jpcsp can't even run cube sample....Undecided
Find all posts by this user
Quote this message in a reply
05-24-2012, 10:56 AM
Post: #8
RE: Xuggle 5.4 may not be necessary, but I think lwjgl 2.8.3 is a must
(05-24-2012 10:55 AM)freefive Wrote:  lol


I can enable the software renderer by editing the settings.properties, though, but with software renderer enabled jpcsp can't even run cube sample....Undecided
Disable all the other video options when enabling software rendering...

Always include a complete log file at INFO level in your reports. Thanks! How to post a log
Find all posts by this user
Quote this message in a reply
05-24-2012, 11:07 AM
Post: #9
RE: Xuggle 5.4 may not be necessary, but I think lwjgl 2.8.3 is a must
same
   

Ok, I am giving up..Wink
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)